#ifndef __ROCCAT_H__
#define __ROCCAT_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>

G_BEGIN_DECLS

#define USB_VENDOR_ID_ROCCAT 0x1e7d

#define ROCCAT_VENDOR_NAME "ROCCAT"

/* Partially defined in linux/hid.h
 * Defined here to reduce Linux specific code
 */
#define ROCCAT_USB_INTERFACE_PROTOCOL_NONE 0
#define ROCCAT_USB_INTERFACE_PROTOCOL_KEYBOARD 1
#define ROCCAT_USB_INTERFACE_PROTOCOL_MOUSE 2

typedef enum {
	ROCCAT_INPUT_EVENT_VALUE_PRESS = 1,
	ROCCAT_INPUT_EVENT_VALUE_RELEASE = 0,
} RoccatInputEventValue;

#define ROCCAT_DBUS_SERVER_NAME "org.roccat"
#define ROCCAT_DBUS_SERVER_PATH "/org/roccat"
#define ROCCAT_DBUS_SERVER_INTERFACE "org.roccat"

#define ROCCAT_ERROR roccat_error_quark()
GQuark roccat_error_quark(void);

typedef enum {
	ROCCAT_ERROR_MACRO_TOO_LONG,
	ROCCAT_ERROR_INVAL,
} RoccatError;

#define ROCCAT_MOUSE_PROFILE_EXTENSION "rmp"
#define ROCCAT_KEYBOARD_PROFILE_EXTENSION "rkp"

G_END_DECLS

#endif
