#ifndef __ROCCAT_COLOR_PALETTE_DIALOG_H__
#define __ROCCAT_COLOR_PALETTE_DIALOG_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_COLOR_PALETTE_DIALOG_TYPE (roccat_color_palette_dialog_get_type())
#define ROCCAT_COLOR_PALETTE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_COLOR_PALETTE_DIALOG_TYPE, RoccatColorPaletteDialog))
#define IS_ROCCAT_COLOR_PALETTE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_COLOR_PALETTE_DIALOG_TYPE))

typedef struct _RoccatColorPaletteDialog RoccatColorPaletteDialog;
typedef struct _RoccatColorPaletteDialogPrivate RoccatColorPaletteDialogPrivate;

struct _RoccatColorPaletteDialog {
	GtkDialog dialog;
	RoccatColorPaletteDialogPrivate *priv;
};

GType roccat_color_palette_dialog_get_type(void);

GtkWidget *roccat_color_palette_dialog_new(GtkWindow *parent, GdkColor const *colors, size_t length);

gint roccat_color_palette_dialog_get_index(RoccatColorPaletteDialog *color_palette_dialog);
gboolean roccat_color_palette_dialog_get_color(RoccatColorPaletteDialog *color_palette_dialog, GdkColor *color);
gboolean roccat_color_palette_dialog_get_color_for_index(RoccatColorPaletteDialog *color_palette_dialog, gint index, GdkColor *color);

gint roccat_color_palette_dialog(GtkWindow *parent, GdkColor const *colors, size_t length);

G_END_DECLS

#endif
