#ifndef __ROCCAT_MULTI_COLOR_PALETTE_BUTTON_H__
#define __ROCCAT_MULTI_COLOR_PALETTE_BUTTON_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * roccat_multi_color_palette_button keeps selection out of a list of colors
 */

#include "roccat_color_button.h"

G_BEGIN_DECLS

#define ROCCAT_MULTI_COLOR_PALETTE_BUTTON_TYPE (roccat_multi_color_palette_button_get_type())
#define ROCCAT_MULTI_COLOR_PALETTE_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), ROCCAT_MULTI_COLOR_PALETTE_BUTTON_TYPE, RoccatMultiColorPaletteButtonClass))
#define IS_ROCCAT_MULTI_COLOR_PALETTE_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), ROCCAT_MULTI_COLOR_PALETTE_BUTTON_TYPE))
#define ROCCAT_MULTI_COLOR_PALETTE_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_MULTI_COLOR_PALETTE_BUTTON_TYPE, RoccatMultiColorPaletteButton))
#define IS_ROCCAT_MULTI_COLOR_PALETTE_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_MULTI_COLOR_PALETTE_BUTTON_TYPE))

typedef struct _RoccatMultiColorPaletteButtonClass RoccatMultiColorPaletteButtonClass;
typedef struct _RoccatMultiColorPaletteButton RoccatMultiColorPaletteButton;
typedef struct _RoccatMultiColorPaletteButtonPrivate RoccatMultiColorPaletteButtonPrivate;

struct _RoccatMultiColorPaletteButtonClass {
	RoccatColorButtonClass parent_class;
	void(*value_changed)(RoccatMultiColorPaletteButton *scale);
};

struct _RoccatMultiColorPaletteButton {
	RoccatColorButton button;
	RoccatMultiColorPaletteButtonPrivate *priv;
};

GType roccat_multi_color_palette_button_get_type(void);
GtkWidget *roccat_multi_color_palette_button_new(GdkColor const *colors, size_t length);

void roccat_multi_color_palette_button_set_colors(RoccatMultiColorPaletteButton *multi_color_palette_button, GdkColor const *colors, size_t length);

gboolean roccat_multi_color_palette_button_get_use_palette(RoccatMultiColorPaletteButton *multi_color_palette_button);
void roccat_multi_color_palette_button_set_use_palette(RoccatMultiColorPaletteButton *multi_color_palette_button, gboolean use_fixed);

void roccat_multi_color_palette_button_get_color(RoccatMultiColorPaletteButton *multi_color_palette_button, GdkColor *color);
void roccat_multi_color_palette_button_set_color(RoccatMultiColorPaletteButton *multi_color_palette_button, GdkColor const *color);

gint roccat_multi_color_palette_button_get_index(RoccatMultiColorPaletteButton const *multi_color_palette_button);
void roccat_multi_color_palette_button_set_index(RoccatMultiColorPaletteButton *multi_color_palette_button, gint index);

G_END_DECLS

#endif
