Name: roccat
Version: 3.0.0
Release: 1
License: GPL
Source: roccat-tools-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk2-devel >= 2.20
BuildRequires: cmake >= 2.6.4
BuildRequires: dbus-glib
BuildRequires: dbus-glib-devel
BuildRequires: libgudev1-devel
BuildRequires: libX11-devel
BuildRequires: libgaminggear-devel >= 0.5.0
BuildRequires: lua-devel = 5.1
ExclusiveOS: linux
Prefix: /usr
URL: http://roccat.sourceforge.net
Packager: Stefan Achatz <erazor_de@users.sourceforge.net>

%define default_udevdir /lib/udev/rules.d
%{!?udevdir: %define udevdir %{default_udevdir}}

%define default_libdir %{prefix}/lib64
%{!?libdir: %define libdir %{default_libdir}}

%define default_eventhandlerdir %{libdir}/roccat
%{!?eventhandlerdir: %define eventhandlerdir %{default_eventhandlerdir}}

Summary: Roccat common files
Group: System Environment/Libraries

%package arvo
Requires: roccat
Summary: Roccat Arvo userlandtools
Group: Applications/System

%package isku
Requires: roccat
Summary: Roccat Isku userlandtools
Group: Applications/System

%package iskufx
Requires: roccat
Requires: roccat-isku
Summary: Roccat IskuFX userlandtools
Group: Applications/System

%package kone
Requires: roccat
Summary: Roccat Kone userlandtools
Group: Applications/System

%package koneplus
Requires: roccat
Summary: Roccat Kone[+] userlandtools
Group: Applications/System

%package konepure
Requires: roccat
Requires: roccat-konextd
Summary: Roccat KonePure userlandtools
Group: Applications/System

%package konepuremilitary
Requires: roccat
Requires: roccat-konepure
Summary: Roccat KonePureMilitary userlandtools
Group: Applications/System

%package konepureoptical
Requires: roccat
Requires: roccat-konepure
Summary: Roccat KonePureOptical userlandtools
Group: Applications/System

%package konextd
Requires: roccat
Requires: roccat-koneplus
Summary: Roccat KoneXTD userlandtools
Group: Applications/System

%package konextdoptical
Requires: roccat
Requires: roccat-konepuremilitary
Summary: Roccat KoneXTDOptical userlandtools
Group: Applications/System

%package kovaplus
Requires: roccat
Summary: Roccat Kova[+] userlandtools
Group: Applications/System

%package lua
Requires: roccat
Summary: Roccat Lua userlandtools
Group: Applications/System

%package pyra
Requires: roccat
Summary: Roccat Pyra userlandtools
Group: Applications/System

%package ryosmk
Requires: roccat
Requires: lua = 5.1
Obsoletes: roccat-ryos
Summary: Roccat Ryos userlandtools
Group: Applications/System

%package savu
Requires: roccat
Summary: Roccat Savu userlandtools
Group: Applications/System

%package tyon
Requires: roccat
Summary: Roccat Tyon userlandtools
Group: Applications/System

%description
Roccat consists of a shared library and other files shared by device specific
applications for roccat hardware.

%description arvo
Arvo consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Arvo keyboard.

%description isku
Isku consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Isku keyboard.

%description iskufx
IskuFX consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat IskuFX keyboard.

%description kone
Kone consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Kone mouse.

%description koneplus
Koneplus consists of a console application and a GUI application. It helps users
to manipulate the Profiles and Settings of a Roccat Kone[+] mouse.

%description konepure
Konepure consists of a console application and a GUI application. It helps users
to manipulate the Profiles and Settings of a Roccat KonePure mouse.

%description konepuremilitary
Konepuremilitary consists of a console application and a GUI application. It helps
to manipulate the Profiles and Settings of a Roccat KonePureMilitary mouse.

%description konepureoptical
Konepureoptical consists of a console application and a GUI application. It helps
users to manipulate the Profiles and Settings of a Roccat KonePureOptical mouse.

%description konextd
Konextd consists of a console application and a GUI application. It helps users
to manipulate the Profiles and Settings of a Roccat KoneXTD mouse.

%description konextdoptical
Konextdoptical consists of a console application and a GUI application. It helps
users to manipulate the Profiles and Settings of a Roccat KoneXTDOptical mouse.

%description kovaplus
Kovaplus consists of a console application and a GUI application. It helps users
to manipulate the Profiles and Settings of a Roccat Kova[+] mouse.

%description lua
Lua consists of a console application and a GUI application. It helps users to
manipulate the Settings of a Roccat Lua mouse.

%description pyra
Pyra consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Pyra mouse.

%description ryosmk
Ryosmk consists of a console application and a GUI application. It helps users
to manipulate the Profiles and Settings of Roccat Ryos MK keyboards.

%description savu
Savu consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Savu mouse.

%description tyon
Tyon consists of a console application and a GUI application. It helps users to
manipulate the Profiles and Settings of a Roccat Tyon mouse.

%prep
%setup -q -n roccat-tools-%{version}
%{__mkdir} build
cd build
cmake -DCMAKE_INSTALL_PREFIX="%{prefix}" -DLIBDIR="%{libdir}" -DUDEVDIR="%{udevdir}" -DEVENTHANDLER_PLUGIN_DIR="%{eventhandlerdir}" -DWITH_LUA=TRUE ..

%build
cd build
%{__make} %{?_smp_mflags}

%install
cd build
%{__rm} -rf "%{buildroot}"
%{__make} %{?_smp_mflags} DESTDIR="%{buildroot}" install
%{__mkdir} -p "%{buildroot}/var/lib/roccat"

%clean
%{__rm} -rf "%{buildroot}"

%pre
/usr/sbin/groupadd --force --system roccat >/dev/null || :

%post
/sbin/ldconfig
touch --no-create %{prefix}/share/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{prefix}/share/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :
fi

%posttrans
gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :

%post arvo
/sbin/ldconfig

%postun arvo
/sbin/ldconfig

%post isku
/sbin/ldconfig

%postun isku
/sbin/ldconfig

%post iskufx
/sbin/ldconfig

%postun iskufx
/sbin/ldconfig

%post kone
/sbin/ldconfig

%postun kone
/sbin/ldconfig

%post koneplus
/sbin/ldconfig

%postun koneplus
/sbin/ldconfig

%post konepure
/sbin/ldconfig

%postun konepure
/sbin/ldconfig

%post konepuremilitary
/sbin/ldconfig

%postun konepuremilitary
/sbin/ldconfig

%post konepureoptical
/sbin/ldconfig

%postun konepureoptical
/sbin/ldconfig

%post konextd
/sbin/ldconfig

%post konextdoptical
/sbin/ldconfig

%postun konextd
/sbin/ldconfig

%post kovaplus
/sbin/ldconfig

%postun kovaplus
/sbin/ldconfig

%post lua
/sbin/ldconfig

%postun lua
/sbin/ldconfig

%post pyra
/sbin/ldconfig

%postun pyra
/sbin/ldconfig

%post ryosmk
/sbin/ldconfig

%postun ryosmk
/sbin/ldconfig

%post savu
/sbin/ldconfig

%postun savu
/sbin/ldconfig

%post tyon
/sbin/ldconfig

%postun tyon
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING Changelog
%{prefix}/bin/roccateventhandler
%{libdir}/libroccat.so*
%{libdir}/libroccatwidget.so*
%{prefix}/share/icons
%{prefix}/share/roccat/sounds
/etc/xdg/autostart/roccateventhandler.desktop
%attr(2770,root,roccat) /var/lib/roccat

%files arvo
%defattr(-,root,root)
%{udevdir}/90-roccat-arvo.rules
%{prefix}/bin/roccatarvo*
%{libdir}/libroccatarvo.so*
%{eventhandlerdir}/libarvoeventhandler.so
%{prefix}/share/applications/roccatarvoconfig.desktop
%{prefix}/share/man/*/man1/roccatarvo*

%files isku
%defattr(-,root,root)
%{udevdir}/90-roccat-isku.rules
%{prefix}/bin/roccatisku*
%{libdir}/libroccatisku.so*
%{libdir}/libroccatiskuwidget.so*
%{eventhandlerdir}/libiskueventhandler.so
%{prefix}/share/applications/roccatiskuconfig.desktop
%{prefix}/share/man/*/man1/roccatisku*

%files iskufx
%defattr(-,root,root)
%{udevdir}/90-roccat-iskufx.rules
%{prefix}/bin/roccatiskufx*
%{libdir}/libroccatiskufx.so*
%{eventhandlerdir}/libiskufxeventhandler.so
%{prefix}/share/applications/roccatiskufxconfig.desktop
%{prefix}/share/man/*/man1/roccatiskufx*

%files kone
%defattr(-,root,root)
%{udevdir}/90-roccat-kone.rules
%{prefix}/bin/roccatkone*
%{libdir}/libroccatkone.so*
%{eventhandlerdir}/libkoneeventhandler.so
%{prefix}/share/applications/roccatkoneconfig.desktop
%{prefix}/share/man/*/man1/roccatkone*

%files koneplus
%defattr(-,root,root)
%{udevdir}/90-roccat-koneplus.rules
%{prefix}/bin/roccatkoneplus*
%{libdir}/libroccatkoneplus.so*
%{libdir}/libroccatkonepluswidget.so*
%{eventhandlerdir}/libkonepluseventhandler.so
%{prefix}/share/applications/roccatkoneplusconfig.desktop
%{prefix}/share/man/*/man1/roccatkoneplus*

%files konepure
%defattr(-,root,root)
%{udevdir}/90-roccat-konepure.rules
%{prefix}/bin/roccatkonepure*
%{libdir}/libroccatkonepure.so*
%{libdir}/libroccatkonepurewidget.so*
%{eventhandlerdir}/libkonepureeventhandler.so
%{prefix}/share/applications/roccatkonepureconfig.desktop
%{prefix}/share/man/*/man1/roccatkonepure*

%files konepuremilitary
%defattr(-,root,root)
%{udevdir}/90-roccat-konepuremilitary.rules
%{prefix}/bin/roccatkonepuremilitary*
%{libdir}/libroccatkonepuremilitary.so*
%{libdir}/libroccatkonepuremilitarywidget.so*
%{eventhandlerdir}/libkonepuremilitaryeventhandler.so
%{prefix}/share/applications/roccatkonepuremilitaryconfig.desktop
%{prefix}/share/man/*/man1/roccatkonepuremilitary*

%files konepureoptical
%defattr(-,root,root)
%{udevdir}/90-roccat-konepureoptical.rules
%{prefix}/bin/roccatkonepureoptical*
%{libdir}/libroccatkonepureoptical.so*
%{eventhandlerdir}/libkonepureopticaleventhandler.so
%{prefix}/share/applications/roccatkonepureopticalconfig.desktop
%{prefix}/share/man/*/man1/roccatkonepureoptical*

%files konextd
%defattr(-,root,root)
%{udevdir}/90-roccat-konextd.rules
%{prefix}/bin/roccatkonextd*
%{libdir}/libroccatkonextd.so*
%{libdir}/libroccatkonextdwidget.so*
%{eventhandlerdir}/libkonextdeventhandler.so
%{prefix}/share/applications/roccatkonextdconfig.desktop
%{prefix}/share/man/*/man1/roccatkonextd*

%files konextdoptical
%defattr(-,root,root)
%{udevdir}/90-roccat-konextdoptical.rules
%{prefix}/bin/roccatkonextdoptical*
%{libdir}/libroccatkonextdoptical.so*
%{eventhandlerdir}/libkonextdopticaleventhandler.so
%{prefix}/share/applications/roccatkonextdopticalconfig.desktop
%{prefix}/share/man/*/man1/roccatkonextdoptical*

%files kovaplus
%defattr(-,root,root)
%{udevdir}/90-roccat-kovaplus.rules
%{prefix}/bin/roccatkovaplus*
%{libdir}/libroccatkovaplus.so*
%{eventhandlerdir}/libkovapluseventhandler.so
%{prefix}/share/applications/roccatkovaplusconfig.desktop
%{prefix}/share/man/*/man1/roccatkovaplus*

%files lua
%defattr(-,root,root)
%{udevdir}/90-roccat-lua.rules
%{prefix}/bin/roccatlua*
%{libdir}/libroccatlua.so*
%{eventhandlerdir}/libluaeventhandler.so
%{prefix}/share/applications/roccatluaconfig.desktop
%{prefix}/share/man/*/man1/roccatlua*

%files pyra
%defattr(-,root,root)
%{udevdir}/90-roccat-pyra.rules
%{prefix}/bin/roccatpyra*
%{libdir}/libroccatpyra.so*
%{eventhandlerdir}/libpyraeventhandler.so
%{prefix}/share/applications/roccatpyraconfig.desktop
%{prefix}/share/man/*/man1/roccatpyra*

%files ryosmk
%defattr(-,root,root)
%{udevdir}/90-roccat-ryosmk.rules
%{prefix}/bin/roccatryos*
%{libdir}/libroccatryosmk.so*
%{libdir}/libroccatryosmkwidget.so*
%{eventhandlerdir}/libryosmkeventhandler.so
%{prefix}/share/applications/roccatryosmkconfig.desktop
%{prefix}/share/man/*/man1/roccatryosmk*
%{prefix}/share/roccat/ryosmk_ripple_modules

%files savu
%defattr(-,root,root)
%{udevdir}/90-roccat-savu.rules
%{prefix}/bin/roccatsavu*
%{libdir}/libroccatsavu.so*
%{eventhandlerdir}/libsavueventhandler.so
%{prefix}/share/applications/roccatsavuconfig.desktop
%{prefix}/share/man/*/man1/roccatsavu*

%files tyon
%defattr(-,root,root)
%{udevdir}/90-roccat-tyon.rules
%{prefix}/bin/roccattyon*
%{libdir}/libroccattyon.so*
%{eventhandlerdir}/libtyoneventhandler.so
%{prefix}/share/applications/roccattyonconfig.desktop
%{prefix}/share/man/*/man1/roccattyon*

%changelog
* Sun Feb 08 2015 Stefan Achatz <erazor_de@users.sourceforge.net> 3.0.0-1
- Initial version
