#ifndef __ROCCAT_TYON_EVENTHANDLER_H__
#define __ROCCAT_TYON_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define TYON_EVENTHANDLER_TYPE (tyon_eventhandler_get_type())
#define TYON_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), TYON_EVENTHANDLER_TYPE, TyonEventhandler))
#define IS_TYON_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), TYON_EVENTHANDLER_TYPE))

typedef struct _TyonEventhandler TyonEventhandler;
typedef struct _TyonEventhandlerPrivate TyonEventhandlerPrivate;

struct _TyonEventhandler {
	GObject parent;
	TyonEventhandlerPrivate *priv;
};

GType tyon_eventhandler_get_type(void);
GObject *tyon_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
